package pcidevice

// IDs gets array of PCIDeviceIDs from ListPCIDevices struct
func (lpd ListPCIDevices) IDs() []uint64 {
	res := make([]uint64, 0, len(lpd.Data))
	for _, lb := range lpd.Data {
		res = append(res, lb.ID)
	}
	return res
}
